/* HOME */

#links {
	display: flex;
	flex-direction: row;
	justify-content: stretch;
	align-items: stretch;
	gap: var(--gap-width);
	flex-wrap: wrap;
	margin: 0;
	list-style: none;
	padding: calc(var(--gap-width) * 1.5);
	box-shadow: 0 5px 9px var(--card-shadow);
	border-radius: calc(var(--border-radius) + var(--gap-width) * 1.5);
	box-sizing: border-box;
	position: relative;
	/* bottom: calc(var(--gap-width) * 1.5 + 0.5 * var(--thick-height));
  margin-bottom: calc((var(--gap-width) * 1.5 + 0.5 * var(--thick-height)) * -1); */
	bottom: calc(var(--border-radius) + var(--gap-width) * 1.5);
	margin-bottom: calc((var(--border-radius) + var(--gap-width) * 1.5) * -1);
	background-color: var(--background);
}

#links:not(:has(> :first-child)) {
	display: none;
}

#home-page:has(#links > :first-child) .section-header> :last-child {
	margin-bottom: calc((var(--border-radius) + var(--gap-width) * 1.5) * 0.5);
}

#links li {
	flex-grow: 1;
	display: flex;
	flex-direction: row;
	justify-content: stretch;
	align-items: stretch;
}

#links li a {
	flex-grow: 1;
	padding: var(--thick-padding);
}

#welcome-container {
	display: flex;
	flex-direction: row;
	gap: 4rem;
	margin-bottom: 1rem;
}

#welcome-container>div:first-child {
	/* blurb container */
	flex: 1 1 0px;
	text-align: left;
}

#welcome-openings {
	flex: 0 0 32rem;
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	align-items: stretch;
}

#welcome-openings>div {
	display: flex;
	flex-direction: row;
	gap: var(--gap-width);
}

#welcome-openings>div>ul {
	flex: 1 0;
}

@media (max-width: 1400px) {
	#welcome-container {
		flex-direction: column;
		align-items: center;
		gap: 0;
	}

	#welcome-openings {
		max-width: 700px;
		width: 100%;
		flex: 0 1;
	}
}

.openings {
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	align-items: stretch;
	padding: 0;
	margin: 0;
	list-style-type: none;
	gap: var(--gap-width);
}

.openings:not(:has(:first-child)) {
	display: none;
}

.openings li:not(:has(.no-entries)) {
	font-size: var(--body-size);
	background-color: var(--secondary);
	margin: 0;
	border-radius: var(--border-radius);
	text-align: center;
	display: flex;
	flex-direction: row;
	justify-content: stretch;
	align-items: center;
	text-align: center;
	padding: var(--standard-padding);
}

.no-entries {
	font-size: var(--body-size);
	background-color: var(--secondary);
	margin: 0;
	border-radius: var(--border-radius);
	text-align: center;
	padding: var(--chunky-padding);
}

.openings li>div {
	flex: 1 0;
}

.openings li>i {
	flex-grow: 0;
	flex-shrink: 0;
	color: var(--primary-20);
	margin: 0 -0.15em 0 0.6em;
}

#land-acknowledgement-container {
	display: flex;
	flex-direction: row-reverse;
	justify-content: space-between;
	align-items: stretch;
	row-gap: 1rem;
	column-gap: 4rem;
	margin: calc(var(--h2-size)) 0 1rem 0;
}

#flags-container {
	flex: 0 0 14rem;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: stretch;
	gap: 1rem;
}

#flags-container>a {
	overflow: hidden;
	border-radius: var(--border-radius);
	line-height: 0;
	transform: translateY(0);
	box-shadow: 0 4px 8px var(--card-shadow);
	transition-property: transform, box-shadow;
	transition-duration: 0.2s;
	transition-timing-function: ease-in-out;
}

#flags-container>a:hover {
	transform: translateY(-5px);
	box-shadow: 0 9px 13px var(--card-shadow);
}

#flags-container>a img {
	width: 100%;
}

#land-acknowledgement-container>div:nth-child(1) {
	/* text */
	flex: 1 1;
	text-align: left;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: stretch;
}

#land-acknowledgement-container h2 {
	margin-top: 0;
}

#land-acknowledgement-container p {
	margin-top: 0;
}

@media (max-width: 1300px) {
	#land-acknowledgement-container {
		flex-direction: column;
	}

	#flags-container {
		flex-basis: auto;
		flex-direction: row;
		justify-content: center;
		margin: calc((var(--line-height) - 1) * 1rem / 2) 0 0 0;
	}
}

@media (max-width: 1000px) {
	#flags-container {
		flex-wrap: wrap;
	}

	#flags-container>a {
		height: 20vw;
	}
}

@media (max-width: 600px) {
	#flags-container {
		gap: var(--gap-width);
	}

	#flags-container>a {
		height: 24vw;
	}
}

/* GALLERY */

#gallery {
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	align-items: center;
	width: var(--gallery-width);
}

#gallery h3 {
	text-align: center;
	width: 100%;
	background-color: var(--secondary);
	border-radius: var(--border-radius);
	padding: var(--thin-padding);
	box-sizing: border-box;
	margin-bottom: 0;
}

#gallery h4 {
	width: 100%;
	text-align: center;
	/* margin: 1em 0 0.5em 0; */
}

.collection {
	width: 100%;
	column-count: var(--grid-columns);
	column-gap: 1rem;
	padding: 0;
	margin-top: 1rem;
}

.collection:not(:last-child) {
	margin-bottom: 2rem;
}

.collection:not(:has(:nth-child(3))) {
	column-count: 2;
}

.collection:not(:has(:nth-child(2))) {
	width: 50%;
	column-count: 1;
}

.collection li {
	list-style: none;
	width: 100%;
	margin-bottom: 1rem;
	overflow: hidden;
	line-height: 0;
}

.collection li:last-child {
	margin-bottom: 0;
}

.collection li figure {
	padding: 0;
	margin: 0;
}

.collection li img {
	overflow: hidden;
	width: 100%;
	border-radius: var(--border-radius);
	object-fit: cover;
}

.collection li:has(figcaption) img {
	border-bottom-left-radius: 0px;
	border-bottom-right-radius: 0px;
}

.collection li figcaption {
	text-align: left;
	margin: 0;
	color: var(--text);
	background-color: var(--secondary);
	padding: var(--standard-padding);
	line-height: var(--line-height);
	border-bottom-left-radius: var(--border-radius);
	border-bottom-right-radius: var(--border-radius);
}
